3 Replies Latest reply on Jul 26, 2013 5:45 AM by Simon Turner

    how to create a surface without using "select" api

    Rex Ray

      Hello everyone,

       

      I'm trying to use solidworks API to prototype some part of a STL file,

      I have succeed to read the data I need, but when I try to prototype the triangles to

      surface in solidworks I find that I have to use

      IModelDocExtension::SelectByID2

      every single triangle. That is really annoying.

       

      Is there any other API I can use to create a surface with the coordinates of points or lines

      or something that dont need to use

      IModelDocExtension::SelectByID2 ?